Package org.codehaus.groovy.binding

# Class AggregateBinding

java.lang.Object
org.codehaus.groovy.binding.AggregateBinding

All Implemented Interfaces:
  `BindingUpdatable`

    @Deprecated
    public class AggregateBinding
    extends java.lang.Object
    implements BindingUpdatable

Deprecated.
An aggregation of multiple bindings

Since:
  Groovy 1.6

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.util.Set<BindingUpdatable>` | `bindings` | Deprecated.
  `protected boolean` | `bound` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AggregateBinding()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addBinding​(BindingUpdatable binding)` | Deprecated.
  `void` | `bind()` | Deprecated. Causes automatic updating of bound values to be turned on.
  `void` | `rebind()` | Deprecated. Causes the current bindings to be reset.
  `void` | `removeBinding​(BindingUpdatable binding)` | Deprecated.
  `void` | `reverseUpdate()` | Deprecated. If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
  `void` | `unbind()` | Deprecated. Causes automatic updating of bound values to be turned off.
  `void` | `update()` | Deprecated. Causes the values to be propagated from the source to the target

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bound

    protected boolean bound
    Deprecated.

  - ### bindings

    protected java.util.Set<BindingUpdatable> bindings
    Deprecated.

- ## Constructor Details

  - ### AggregateBinding

    public AggregateBinding()
    Deprecated.

- ## Method Details

  - ### addBinding

    public void addBinding​(BindingUpdatable binding)
    Deprecated.

  - ### removeBinding

    public void removeBinding​(BindingUpdatable binding)
    Deprecated.

  - ### bind

    public void bind()
    Deprecated.
    Description copied from interface: `BindingUpdatable`
    Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.
    Specified by:
      `bind` in interface `BindingUpdatable`

  - ### unbind

    public void unbind()
    Deprecated.
    Description copied from interface: `BindingUpdatable`
    Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.
    Specified by:
      `unbind` in interface `BindingUpdatable`

  - ### rebind

    public void rebind()
    Deprecated.
    Description copied from interface: `BindingUpdatable`
    Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.
    Specified by:
      `rebind` in interface `BindingUpdatable`

  - ### update

    public void update()
    Deprecated.
    Description copied from interface: `BindingUpdatable`
    Causes the values to be propagated from the source to the target
    Specified by:
      `update` in interface `BindingUpdatable`

  - ### reverseUpdate

    public void reverseUpdate()
    Deprecated.
    Description copied from interface: `BindingUpdatable`
    If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
    Specified by:
      `reverseUpdate` in interface `BindingUpdatable`